﻿using Demo.WpfApp.Helpers;
using Infragistics.Windows.Chart;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Windows.Input;

namespace Demo.WpfApp.Test.Helpers
{
		
	[TestClass]
	public class XamChartHelperTest
	{

		[TestMethod]
		public void MouseLeftButtonDownHandlerTest()
		{
			var chart = new XamChart
			{
				Width = 300,
				Height = 300
			};

			XamChartHelper.SetChartDragging(chart, true);

			var e = new MouseButtonEventArgs(Mouse.PrimaryDevice, 0, MouseButton.Left);
			e.RoutedEvent = XamChart.MouseLeftButtonDownEvent;
			// chart.RaiseEvent(e);

			XamChartHelper_Accessor.MouseLeftButtonDownHandler(chart, e);

			//ToDo: Need more logic testing beyond checking 'handled'
			Assert.IsTrue(e.Handled);

		}
	}
}
