﻿using Infragistics.Windows.Chart;

namespace Demo.WpfApp.Models
{

	public class XamChartSeriesItem: NotifyPropertyChanged
	{

		private ChartType chartType;
		public ChartType ChartType
		{
			get 
			{ 
				return chartType;
			}

			set
			{
				if (chartType == value)
					return;

				chartType = value;
				OnPropertyChanged(() => ChartType);
			}
		
		}

		private string dataMapping;
		public string DataMapping
		{
			get
			{
				return dataMapping;
			}

			set
			{
				if ( dataMapping == value )
					return;

				dataMapping = value;
				OnPropertyChanged(() => DataMapping);
			}

		}

		private object dataSource;
		public object DataSource
		{
			get
			{
				return dataSource;
			}

			set
			{
				if ( dataSource == value )
					return;

				dataSource = value;
				OnPropertyChanged(() => DataSource);
			}

		}

		private string legendTitle;
		public string LegendTitle
		{
			get
			{
				return legendTitle;
			}

			set
			{
				if ( legendTitle == value )
					return;

				legendTitle = value;
				OnPropertyChanged(() => LegendTitle);
			}

		}
	
	}

}

